Package org.apache.felix.http.jakartawrappers

# Class WriteListenerWrapper

java.lang.Object
org.apache.felix.http.jakartawrappers.WriteListenerWrapper

All Implemented Interfaces:
  `jakarta.servlet.WriteListener`, `EventListener`

public class WriteListenerWrapper extends Object implements jakarta.servlet.WriteListener
Write listener

## Constructor Summary

Constructors
Constructor
Description
`WriteListenerWrapper(javax.servlet.WriteListener listener)`
Create new lister

## Method Summary

Modifier and Type
Method
Description
`void`
`onError(Throwable t)`
`void`
`onWritePossible()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WriteListenerWrapper

public WriteListenerWrapper(@NotNull javax.servlet.WriteListener listener)
Create new lister

Parameters:
  `listener` - Wrapped listener

## Method Details

### onWritePossible

public void onWritePossible() throws IOException

Specified by:
  `onWritePossible` in interface `jakarta.servlet.WriteListener`
Throws:
  `IOException`

### onError

public void onError(Throwable t)

Specified by:
  `onError` in interface `jakarta.servlet.WriteListener`